Skip to content

/device

GET
/device
curl --request GET \
--url https://gymgym.club/api/auth/device \
--header 'Authorization: Bearer <token>'

Verify user code and get device authorization status

user_code

The user code to verify

string

Device authorization status

Media typeapplication/json
object
user_code

The user code to verify

string
status

Current status of the device authorization

string
Allowed values: pending approved denied
client_id

The client requesting authorization, returned only to the authenticated user who owns this request

string
scope

The requested scopes, returned only to the authenticated user who owns this request

string
Example
{
"status": "pending"
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}